#ifndef C_SHD_COMP_ADD_H__
#define C_SHD_COMP_ADD_H__

#include "../cShader_CG.h"


class cShdCompAdd : public cShader_CG {
public:
	cShdCompAdd( CGcontext &_context, CGprofile &_vprof, CGprofile &_fprof );

public:
	void init_parameters() {}

protected:
	void enable_parameters() {}
	void disable_parameters() {}
};


//////////////////////////////////////////////////////////////////////////

inline
cShdCompAdd::cShdCompAdd( CGcontext &_context, CGprofile &_vprof, CGprofile &_fprof ) \
	: cShader_CG(_context, _vprof, _fprof)
{
	load_from_files( "cg_comp_add_vert.cg", "cg_comp_add_frag.cg" );

	return;
}


#endif
